;                        Configure the 2000E Processor.
;
;
; This include file configures the CPU and I/O card cage to contain the
; necessary device interfaces in the proper card slots.  It is invoked by the
; 2000E command files, as follows:
;
;    do spconfig.inc
;
; This file is never invoked directly by the user.
;
; The device assignments listed in the "2000E Time-Shared BASIC System
; Operator's Guide" (HP part number 02000-90049, August 1972) are incorrect.
; These correct assignments are derived from the 2000E sources (24280-8000x
; Rev. 1534):
;
;    SC  Device  Interface Description
;    --  ------  -----------------------------------------------------------
;    10   TTY    12531C Buffered Teleprinter Interface
;    11   DPD    13210A Disc Drive Interface Data Channel
;    12   DPC    13210A Disc Drive Interface Command Channel
;    13   PTR    12597A-002 Tape Reader Interface
;    14   MUXL   12920A Asynchronous Multiplexer Interface Lower Data PCA
;    15   MUX    12920A Asynchronous Multiplexer Interface Upper Data PCA
;    16   MUXC   12920A Asynchronous Multiplexer Interface Control PCA
;    17   TBG    12539C Time Base Generator Interface
;    20   MSD    13183B Digital Magnetic Tape Unit Interface Data Channel
;    21   MSC    13183B Digital Magnetic Tape Unit Interface Command Channel


; Configure the CPU.
;
; The processor requires floating-point support, which must be enabled
; specifically for the 2100.

set CPU 2100,16K,FP


; Configure and assign the select codes of the required devices.

set ALL  DISABLED

set TTY  ENABLED,SC=10
set DPD  ENABLED,SC=11
set PTR  ENABLED,SC=13
set MUX  ENABLED,SC=14
set MUXC ENABLED,SC=16
set TBG  ENABLED,SC=17
set MSD  ENABLED,SC=20


; Configure the disc and tape drive interface models.

set DPC 13210
set MSC 13183


; Display the I/O configuration to the system operator.

show CPU IOCAGE
echo
